summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2008-08-22 19:32:50 +0000
committerMike Frysinger <vapier@gentoo.org>2008-08-22 19:32:50 +0000
commit366b8c1a177d872fd91956b9a95c37652d9d1040 (patch)
tree4e67c69846790fc602b81ca4319085236b6fedbb /app-emulation
parentStable on ppc wrt bug 207548 (diff)
downloadgentoo-2-366b8c1a177d872fd91956b9a95c37652d9d1040.tar.gz
gentoo-2-366b8c1a177d872fd91956b9a95c37652d9d1040.tar.bz2
gentoo-2-366b8c1a177d872fd91956b9a95c37652d9d1040.zip
old
(Portage version: 2.2_rc8/cvs/Linux 2.6.26.2 x86_64)
Diffstat (limited to 'app-emulation')
-rw-r--r--app-emulation/wine/files/wine-0.9.11-winegcc-short-libnames.patch33
-rw-r--r--app-emulation/wine/files/wine-0.9.4-null-thread-check.patch25
-rw-r--r--app-emulation/wine/files/wine-0.9.9-flex.patch185
-rw-r--r--app-emulation/wine/files/wine-20050211-docs.patch18
-rw-r--r--app-emulation/wine/files/wine-20050310-upstream-colortable.patch39
-rw-r--r--app-emulation/wine/files/wine-20050524-alsa-headers.patch29
-rw-r--r--app-emulation/wine/files/wine-20050725-gcc-32bit.patch11
-rw-r--r--app-emulation/wine/files/wine-20050830-gcc-32bit.patch11
-rw-r--r--app-emulation/wine/files/wine-20050830-no-ldap.patch93
-rw-r--r--app-emulation/wine/files/wine-20050930-dont-warn-lib-path.patch22
-rw-r--r--app-emulation/wine/files/wine-20050930-no-x.patch22
-rw-r--r--app-emulation/wine/files/wine-cvs-winelauncher-temp.patch28
-rw-r--r--app-emulation/wine/files/wine-hangfix-bug2660.patch16
-rw-r--r--app-emulation/wine/files/wine-no-ssp.patch20
-rw-r--r--app-emulation/wine/files/wine-stub-RtlSetTimeZoneInformation.patch13
-rw-r--r--app-emulation/wine/files/wine-wmf.patch24
-rw-r--r--app-emulation/wine/wine-0.9.40.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.41.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.42.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.43.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.44.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.45.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.46.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.47.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.48.ebuild125
-rw-r--r--app-emulation/wine/wine-0.9.49.ebuild125
26 files changed, 0 insertions, 1839 deletions
diff --git a/app-emulation/wine/files/wine-0.9.11-winegcc-short-libnames.patch b/app-emulation/wine/files/wine-0.9.11-winegcc-short-libnames.patch
deleted file mode 100644
index 290264925bbd..000000000000
--- a/app-emulation/wine/files/wine-0.9.11-winegcc-short-libnames.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-2006-04-04 Alexandre Julliard <julliard@winehq.org>
-
- * tools/winegcc/winegcc.c:
- winegcc: Don't use the library full name for .so libs.
-
-Index: tools/winegcc/winegcc.c
-===================================================================
-RCS file: /home/wine/wine/tools/winegcc/winegcc.c,v
-retrieving revision 1.50
-retrieving revision 1.51
-diff -u -p -r1.50 -r1.51
---- tools/winegcc/winegcc.c 16 Mar 2006 20:41:40 -0000 1.50
-+++ tools/winegcc/winegcc.c 4 Apr 2006 21:16:14 -0000 1.51
-@@ -401,8 +401,6 @@ static void add_library( strarray *lib_d
- }
- break;
- case file_so:
-- strarray_add(files, strmake("-s%s", fullname));
-- break;
- default:
- /* keep it anyway, the linker may know what to do with it */
- strarray_add(files, strmake("-l%s", library));
-@@ -628,9 +626,9 @@ static void build(struct options* opts)
- switch(files->base[j][1])
- {
- case 'l':
-+ case 's':
- strarray_add(link_args, strmake("-l%s", name));
- break;
-- case 's':
- case 'a':
- case 'o':
- strarray_add(link_args, name);
diff --git a/app-emulation/wine/files/wine-0.9.4-null-thread-check.patch b/app-emulation/wine/files/wine-0.9.4-null-thread-check.patch
deleted file mode 100644
index b8de174eafe1..000000000000
--- a/app-emulation/wine/files/wine-0.9.4-null-thread-check.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-http://bugs.gentoo.org/116679
-http://bugs.winehq.org/show_bug.cgi?id=4128
-http://www.winehq.org/pipermail/wine-patches/2005-December/023021.html
-
-Index: dlls/msvcrt/main.c
-===================================================================
-RCS file: /home/wine/wine/dlls/msvcrt/main.c,v
-retrieving revision 1.24
-diff -u -r1.24 main.c
---- dlls/msvcrt/main.c 21 Dec 2005 20:29:03 -0000 1.24
-+++ dlls/msvcrt/main.c 23 Dec 2005 11:34:38 -0000
-@@ -70,8 +70,11 @@
- case DLL_THREAD_DETACH:
- /* Free TLS */
- tls = TlsGetValue(msvcrt_tls_index);
-- HeapFree(GetProcessHeap(),0,tls->efcvt_buffer);
-- HeapFree(GetProcessHeap(),0,tls->wasctime_buffer);
-+ if (tls)
-+ {
-+ HeapFree(GetProcessHeap(),0,tls->efcvt_buffer);
-+ HeapFree(GetProcessHeap(),0,tls->wasctime_buffer);
-+ }
- HeapFree(GetProcessHeap(), 0, tls);
- TRACE("finished thread free\n");
- break;
diff --git a/app-emulation/wine/files/wine-0.9.9-flex.patch b/app-emulation/wine/files/wine-0.9.9-flex.patch
deleted file mode 100644
index b07d732ed59e..000000000000
--- a/app-emulation/wine/files/wine-0.9.9-flex.patch
+++ /dev/null
@@ -1,185 +0,0 @@
---- a/tools/wrc/parser.l
-+++ b/tools/wrc/parser.l
-@@ -68,11 +68,11 @@
- */
-
- /* Exclusive string handling */
--%x yystr
-+%x tkstr
- /* Exclusive unicode string handling */
--%x yylstr
-+%x tklstr
- /* Exclusive rcdata single quoted data handling */
--%x yyrcd
-+%x tkrcd
- /* Exclusive comment eating... */
- %x comment
- /* Set when stripping c-junk */
-@@ -428,102 +428,102 @@ static struct keyword *iskeyword(char *k
- * Wide string scanning
- */
- L\" {
-- yy_push_state(yylstr);
-+ yy_push_state(tklstr);
- wbufidx = 0;
- if(!win32)
- yywarning("16bit resource contains unicode strings\n");
- }
--<yylstr>\"{ws}+ |
--<yylstr>\" {
-+<tklstr>\"{ws}+ |
-+<tklstr>\" {
- yy_pop_state();
- yylval.str = get_buffered_wstring();
- return tSTRING;
- }
--<yylstr>\\[0-7]{1,6} { /* octal escape sequence */
-+<tklstr>\\[0-7]{1,6} { /* octal escape sequence */
- unsigned int result;
- result = strtoul(yytext+1, 0, 8);
- if ( result > 0xffff )
- yyerror("Character constant out of range");
- addwchar((WCHAR)result);
- }
--<yylstr>\\x[0-9a-fA-F]{4} { /* hex escape sequence */
-+<tklstr>\\x[0-9a-fA-F]{4} { /* hex escape sequence */
- unsigned int result;
- result = strtoul(yytext+2, 0, 16);
- addwchar((WCHAR)result);
- }
--<yylstr>\\x[0-9a-fA-F]{1,3} { yyerror("Invalid hex escape sequence '%s'", yytext); }
-+<tklstr>\\x[0-9a-fA-F]{1,3} { yyerror("Invalid hex escape sequence '%s'", yytext); }
-
--<yylstr>\\[0-9]+ yyerror("Bad escape sequence");
--<yylstr>\\\n{ws}* line_number++; char_number = 1; /* backslash at EOL continues string after leading whitespace on next line */
--<yylstr>\\a addwchar('\a');
--<yylstr>\\b addwchar('\b');
--<yylstr>\\f addwchar('\f');
--<yylstr>\\n addwchar('\n');
--<yylstr>\\r addwchar('\r');
--<yylstr>\\t addwchar('\t');
--<yylstr>\\v addwchar('\v');
--<yylstr>\\. addwchar(yytext[1]);
--<yylstr>\\\r\n addwchar(yytext[2]); line_number++; char_number = 1;
--<yylstr>\"\" addwchar('\"'); /* "bla""bla" -> "bla\"bla" */
--<yylstr>\\\"\" addwchar('\"'); /* "bla\""bla" -> "bla\"bla" */
--<yylstr>\"{ws}+\" ; /* "bla" "bla" -> "blabla" */
--<yylstr>[^\\\n\"]+ {
-+<tklstr>\\[0-9]+ yyerror("Bad escape sequence");
-+<tklstr>\\\n{ws}* line_number++; char_number = 1; /* backslash at EOL continues string after leading whitespace on next line */
-+<tklstr>\\a addwchar('\a');
-+<tklstr>\\b addwchar('\b');
-+<tklstr>\\f addwchar('\f');
-+<tklstr>\\n addwchar('\n');
-+<tklstr>\\r addwchar('\r');
-+<tklstr>\\t addwchar('\t');
-+<tklstr>\\v addwchar('\v');
-+<tklstr>\\. addwchar(yytext[1]);
-+<tklstr>\\\r\n addwchar(yytext[2]); line_number++; char_number = 1;
-+<tklstr>\"\" addwchar('\"'); /* "bla""bla" -> "bla\"bla" */
-+<tklstr>\\\"\" addwchar('\"'); /* "bla\""bla" -> "bla\"bla" */
-+<tklstr>\"{ws}+\" ; /* "bla" "bla" -> "blabla" */
-+<tklstr>[^\\\n\"]+ {
- char *yptr = yytext;
- while(*yptr) /* FIXME: codepage translation */
- addwchar(*yptr++ & 0xff);
- }
--<yylstr>\n yyerror("Unterminated string");
-+<tklstr>\n yyerror("Unterminated string");
-
- /*
- * Normal string scanning
- */
--\" yy_push_state(yystr); cbufidx = 0;
--<yystr>\"{ws}+ |
--<yystr>\" {
-+\" yy_push_state(tkstr); cbufidx = 0;
-+<tkstr>\"{ws}+ |
-+<tkstr>\" {
- yy_pop_state();
- yylval.str = get_buffered_cstring();
- return tSTRING;
- }
--<yystr>\\[0-7]{1,3} { /* octal escape sequence */
-+<tkstr>\\[0-7]{1,3} { /* octal escape sequence */
- int result;
- result = strtol(yytext+1, 0, 8);
- if ( result > 0xff )
- yyerror("Character constant out of range");
- addcchar((char)result);
- }
--<yystr>\\x[0-9a-fA-F]{2} { /* hex escape sequence */
-+<tkstr>\\x[0-9a-fA-F]{2} { /* hex escape sequence */
- int result;
- result = strtol(yytext+2, 0, 16);
- addcchar((char)result);
- }
--<yystr>\\x[0-9a-fA-F] { yyerror("Invalid hex escape sequence '%s'", yytext); }
-+<tkstr>\\x[0-9a-fA-F] { yyerror("Invalid hex escape sequence '%s'", yytext); }
-
--<yystr>\\[0-9]+ yyerror("Bad escape sequence");
--<yystr>\\\n{ws}* line_number++; char_number = 1; /* backslash at EOL continues string after leading whitespace on next line */
--<yystr>\\a addcchar('\a');
--<yystr>\\b addcchar('\b');
--<yystr>\\f addcchar('\f');
--<yystr>\\n addcchar('\n');
--<yystr>\\r addcchar('\r');
--<yystr>\\t addcchar('\t');
--<yystr>\\v addcchar('\v');
--<yystr>\\. addcchar(yytext[1]);
--<yystr>\\\r\n addcchar(yytext[2]); line_number++; char_number = 1;
--<yystr>[^\\\n\"]+ {
-+<tkstr>\\[0-9]+ yyerror("Bad escape sequence");
-+<tkstr>\\\n{ws}* line_number++; char_number = 1; /* backslash at EOL continues string after leading whitespace on next line */
-+<tkstr>\\a addcchar('\a');
-+<tkstr>\\b addcchar('\b');
-+<tkstr>\\f addcchar('\f');
-+<tkstr>\\n addcchar('\n');
-+<tkstr>\\r addcchar('\r');
-+<tkstr>\\t addcchar('\t');
-+<tkstr>\\v addcchar('\v');
-+<tkstr>\\. addcchar(yytext[1]);
-+<tkstr>\\\r\n addcchar(yytext[2]); line_number++; char_number = 1;
-+<tkstr>[^\\\n\"]+ {
- char *yptr = yytext;
- while(*yptr)
- addcchar(*yptr++);
- }
--<yystr>\"\" addcchar('\"'); /* "bla""bla" -> "bla\"bla" */
--<yystr>\\\"\" addcchar('\"'); /* "bla\""bla" -> "bla\"bla" */
--<yystr>\"{ws}+\" ; /* "bla" "bla" -> "blabla" */
--<yystr>\n yyerror("Unterminated string");
-+<tkstr>\"\" addcchar('\"'); /* "bla""bla" -> "bla\"bla" */
-+<tkstr>\\\"\" addcchar('\"'); /* "bla\""bla" -> "bla\"bla" */
-+<tkstr>\"{ws}+\" ; /* "bla" "bla" -> "blabla" */
-+<tkstr>\n yyerror("Unterminated string");
-
- /*
- * Raw data scanning
- */
--\' yy_push_state(yyrcd); cbufidx = 0;
--<yyrcd>\' {
-+\' yy_push_state(tkrcd); cbufidx = 0;
-+<tkrcd>\' {
- yy_pop_state();
- yylval.raw = new_raw_data();
- yylval.raw->size = cbufidx;
-@@ -531,14 +531,14 @@ L\" {
- memcpy(yylval.raw->data, cbuffer, yylval.raw->size);
- return tRAWDATA;
- }
--<yyrcd>[0-9a-fA-F]{2} {
-+<tkrcd>[0-9a-fA-F]{2} {
- int result;
- result = strtol(yytext, 0, 16);
- addcchar((char)result);
- }
--<yyrcd>{ws}+ ; /* Ignore space */
--<yyrcd>\n line_number++; char_number = 1;
--<yyrcd>. yyerror("Malformed data-line");
-+<tkrcd>{ws}+ ; /* Ignore space */
-+<tkrcd>\n line_number++; char_number = 1;
-+<tkrcd>. yyerror("Malformed data-line");
-
- /*
- * Comment stripping
diff --git a/app-emulation/wine/files/wine-20050211-docs.patch b/app-emulation/wine/files/wine-20050211-docs.patch
deleted file mode 100644
index 8716f4e88ee7..000000000000
--- a/app-emulation/wine/files/wine-20050211-docs.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- documentation/getting.sgml
-+++ documentation/getting.sgml
-@@ -30,6 +30,7 @@
- few clicks. Building your own installable binary package from a
- source package is also possible, although it is beyond the scope of
- this guide.
-+ </para>
- </sect2>
-
- <sect2 id="installation-methods-source">
-@@ -96,6 +97,7 @@
- installing a Wine package. See the section on <link
- linkend="uninstalling-wine-source">uninstalling Wine from source
- </link> for proper instructions.
-+ </para>
- </sect2>
- <sect2>
- <title>Different Distributions</title>
diff --git a/app-emulation/wine/files/wine-20050310-upstream-colortable.patch b/app-emulation/wine/files/wine-20050310-upstream-colortable.patch
deleted file mode 100644
index 072efc81b0cb..000000000000
--- a/app-emulation/wine/files/wine-20050310-upstream-colortable.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-http://bugs.gentoo.org/show_bug.cgi?id=88715
-
-===================================================================
-RCS file: /home/wine/wine/dlls/x11drv/dib.c,v
-retrieving revision 1.27
-retrieving revision 1.28
-diff -u -p -r1.27 -r1.28
---- wine/dlls/x11drv/dib.c 2005/03/31 19:13:03 1.27
-+++ wine/dlls/x11drv/dib.c 2005/04/11 12:57:10 1.28
-@@ -418,18 +418,24 @@ static RGBQUAD *X11DRV_DIB_BuildColorTab
- else
- {
- HPALETTE hpal = GetCurrentObject(physDev->hdc, OBJ_PAL);
-- PALETTEENTRY pal_ents[256];
-+ PALETTEENTRY * pal_ents;
- WORD *index = (WORD*) ((LPBYTE) info + (WORD) info->bmiHeader.biSize);
-+ int logcolors, entry;
-
-- GetPaletteEntries(hpal, 0, 256, pal_ents);
-+ logcolors = GetPaletteEntries( hpal, 0, 0, NULL );
-+ pal_ents = HeapAlloc(GetProcessHeap(), 0, logcolors * sizeof(*pal_ents));
-+ logcolors = GetPaletteEntries( hpal, 0, logcolors, pal_ents );
-
- for(i = 0; i < colors; i++, index++)
- {
-- colorTable[i].rgbRed = pal_ents[*index].peRed;
-- colorTable[i].rgbGreen = pal_ents[*index].peGreen;
-- colorTable[i].rgbBlue = pal_ents[*index].peBlue;
-+ entry = *index % logcolors;
-+ colorTable[i].rgbRed = pal_ents[entry].peRed;
-+ colorTable[i].rgbGreen = pal_ents[entry].peGreen;
-+ colorTable[i].rgbBlue = pal_ents[entry].peBlue;
- colorTable[i].rgbReserved = 0;
- }
-+
-+ HeapFree(GetProcessHeap(), 0, pal_ents);
- }
- return colorTable;
- }
diff --git a/app-emulation/wine/files/wine-20050524-alsa-headers.patch b/app-emulation/wine/files/wine-20050524-alsa-headers.patch
deleted file mode 100644
index 74e47895009f..000000000000
--- a/app-emulation/wine/files/wine-20050524-alsa-headers.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-Reorder the alsa includes so the wine defines dont stomp
-the alsa prototypes.
-
-Patch by Ed Catmur
-
-http://bugs.gentoo.org/94272
-
---- dlls/winmm/winealsa/audio.c
-+++ dlls/winmm/winealsa/audio.c
-@@ -45,6 +45,9 @@
- # include <sys/mman.h>
- #endif
- #include "windef.h"
-+#define ALSA_PCM_NEW_HW_PARAMS_API
-+#define ALSA_PCM_NEW_SW_PARAMS_API
-+#include "alsa.h"
- #include "winbase.h"
- #include "wingdi.h"
- #include "winerror.h"
-@@ -58,9 +61,6 @@
- #include "ks.h"
- #include "ksguid.h"
- #include "ksmedia.h"
--#define ALSA_PCM_NEW_HW_PARAMS_API
--#define ALSA_PCM_NEW_SW_PARAMS_API
--#include "alsa.h"
- #include "wine/library.h"
- #include "wine/unicode.h"
- #include "wine/debug.h"
diff --git a/app-emulation/wine/files/wine-20050725-gcc-32bit.patch b/app-emulation/wine/files/wine-20050725-gcc-32bit.patch
deleted file mode 100644
index ae3ed1726be4..000000000000
--- a/app-emulation/wine/files/wine-20050725-gcc-32bit.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- tools/winegcc/winegcc.c
-+++ tools/winegcc/winegcc.c
-@@ -863,6 +863,8 @@
- opts.gui_app = 1;
- else if (strcmp("-mconsole", argv[i]) == 0)
- opts.gui_app = 0;
-+ else if (strcmp("-m32", argv[i]) == 0 || strcmp("-m64", argv[i]) == 0)
-+ raw_linker_arg = 1;
- break;
- case 'n':
- if (strcmp("-nostdinc", argv[i]) == 0)
diff --git a/app-emulation/wine/files/wine-20050830-gcc-32bit.patch b/app-emulation/wine/files/wine-20050830-gcc-32bit.patch
deleted file mode 100644
index faa27d396e7b..000000000000
--- a/app-emulation/wine/files/wine-20050830-gcc-32bit.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- tools/winegcc/winegcc.c
-+++ tools/winegcc/winegcc.c
-@@ -863,6 +863,8 @@
- opts.gui_app = 0;
- else if (strcmp("-municode", argv[i]) == 0)
- opts.unicode_app = 1;
-+ else if (strcmp("-m32", argv[i]) == 0 || strcmp("-m64", argv[i]) == 0)
-+ raw_linker_arg = 1;
- break;
- case 'n':
- if (strcmp("-nostdinc", argv[i]) == 0)
diff --git a/app-emulation/wine/files/wine-20050830-no-ldap.patch b/app-emulation/wine/files/wine-20050830-no-ldap.patch
deleted file mode 100644
index 716a863f4c07..000000000000
--- a/app-emulation/wine/files/wine-20050830-no-ldap.patch
+++ /dev/null
@@ -1,93 +0,0 @@
-Fix build error:
-x86_64-pc-linux-gnu-gcc -c -I. -I. -I../../include -I../../include \
- -D__WINESRC__ -DWINE_NO_DEBUG_MSGS -DWINE_NO_TRACE_MSGS -D_REENTRANT \
- -fPIC -Wall -pipe -mpreferred-stack-boundary=2 -fno-strict-aliasing \
- -gstabs+ -Wpointer-arith -O2 -march=k8 -pipe -o add.o add.c
-In file included from add.c:39:
-winldap_private.h:289: error: syntax error before "BerElement"
-winldap_private.h:290: error: syntax error before "BerElement"
-winldap_private.h:322: error: syntax error before "BerElement"
-winldap_private.h:323: error: syntax error before "BerElement"
-make[2]: *** [add.o] Error 1
-
-http://bugs.gentoo.org/104492
-http://bugs.winehq.com/show_bug.cgi?id=3265
-
---- dlls/wldap32/misc.c
-+++ dlls/wldap32/misc.c
-@@ -125,7 +125,8 @@ ULONG WLDAP32_ldap_count_references( WLD
- return ret;
- }
-
--PCHAR ldap_first_attributeA( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry, BerElement** ptr )
-+PCHAR ldap_first_attributeA( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry,
-+ WLDAP32_BerElement** ptr )
- {
- PCHAR ret = NULL;
- #ifdef HAVE_LDAP
-@@ -143,7 +144,8 @@ PCHAR ldap_first_attributeA( WLDAP32_LDA
- return ret;
- }
-
--PWCHAR ldap_first_attributeW( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry, BerElement** ptr )
-+PWCHAR ldap_first_attributeW( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry,
-+ WLDAP32_BerElement** ptr )
- {
- PWCHAR ret = NULL;
- #ifdef HAVE_LDAP
-@@ -211,7 +213,8 @@ ULONG WLDAP32_ldap_msgfree( WLDAP32_LDAP
- return ret;
- }
-
--PCHAR ldap_next_attributeA( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry, BerElement *ptr )
-+PCHAR ldap_next_attributeA( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry,
-+ WLDAP32_BerElement *ptr )
- {
- PCHAR ret = NULL;
- #ifdef HAVE_LDAP
-@@ -229,7 +232,8 @@ PCHAR ldap_next_attributeA( WLDAP32_LDAP
- return ret;
- }
-
--PWCHAR ldap_next_attributeW( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry, BerElement *ptr )
-+PWCHAR ldap_next_attributeW( WLDAP32_LDAP *ld, WLDAP32_LDAPMessage *entry,
-+ WLDAP32_BerElement *ptr )
- {
- PWCHAR ret = NULL;
- #ifdef HAVE_LDAP
---- dlls/wldap32/winldap_private.h
-+++ dlls/wldap32/winldap_private.h
-@@ -43,6 +43,11 @@ typedef enum {
- WLDAP32_LDAP_REFERRAL_LIMIT_EXCEEDED = 0x61
- } LDAP_RETCODE;
-
-+typedef struct berelement
-+{
-+ PCHAR opaque;
-+} WLDAP32_BerElement;
-+
- #define LDAP_OPT_THREAD_FN_PTRS 0x05
- #define LDAP_OPT_REBIND_FN 0x06
- #define LDAP_OPT_REBIND_ARG 0x07
-@@ -286,8 +291,8 @@ ULONG ldap_extended_operation_sA(WLDAP32
- PCHAR*,struct WLDAP32_berval**);
- ULONG ldap_extended_operation_sW(WLDAP32_LDAP*,PWCHAR,struct WLDAP32_berval*,PLDAPControlW*, PLDAPControlW*,
- PWCHAR*,struct WLDAP32_berval**);
--PCHAR ldap_first_attributeA(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,BerElement**);
--PWCHAR ldap_first_attributeW(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,BerElement**);
-+PCHAR ldap_first_attributeA(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,WLDAP32_BerElement**);
-+PWCHAR ldap_first_attributeW(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,WLDAP32_BerElement**);
- WLDAP32_LDAPMessage *WLDAP32_ldap_first_entry(WLDAP32_LDAP*,WLDAP32_LDAPMessage*);
- WLDAP32_LDAPMessage *WLDAP32_ldap_first_reference(WLDAP32_LDAP*,WLDAP32_LDAPMessage*);
- PCHAR ldap_get_dnA(WLDAP32_LDAP*,WLDAP32_LDAPMessage*);
-@@ -319,8 +324,8 @@ ULONG ldap_modrdn2_sW(WLDAP32_LDAP*,PWCH
- ULONG ldap_modrdn_sA(WLDAP32_LDAP*,PCHAR,PCHAR);
- ULONG ldap_modrdn_sW(WLDAP32_LDAP*,PWCHAR,PWCHAR);
- ULONG WLDAP32_ldap_msgfree(WLDAP32_LDAPMessage*);
--PCHAR ldap_next_attributeA(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,BerElement*);
--PWCHAR ldap_next_attributeW(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,BerElement*);
-+PCHAR ldap_next_attributeA(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,WLDAP32_BerElement*);
-+PWCHAR ldap_next_attributeW(WLDAP32_LDAP*,WLDAP32_LDAPMessage*,WLDAP32_BerElement*);
- WLDAP32_LDAPMessage *WLDAP32_ldap_next_entry(WLDAP32_LDAP*,WLDAP32_LDAPMessage*);
- WLDAP32_LDAPMessage *WLDAP32_ldap_next_reference(WLDAP32_LDAP*,WLDAP32_LDAPMessage*);
- WLDAP32_LDAP *ldap_openA(PCHAR,ULONG);
diff --git a/app-emulation/wine/files/wine-20050930-dont-warn-lib-path.patch b/app-emulation/wine/files/wine-20050930-dont-warn-lib-path.patch
deleted file mode 100644
index 28d0782d1770..000000000000
--- a/app-emulation/wine/files/wine-20050930-dont-warn-lib-path.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-Hide warning so users don't freak out and do stupid stuff.
-
-http://bugs.gentoo.org/107971
-
---- wine/Makefile.in
-+++ wine/Makefile.in
-@@ -86,6 +86,7 @@
- install-dev:: $(INSTALLDEVSUBDIRS:%=%/__install__) $(INSTALLBOTHSUBDIRS:%=%/__install-dev__) install-aclocal
-
- install:: install-lib install-dev install-aclocal
-+ifeq (dont,warn) #($(DESTDIR),)
- -$(LDCONFIG)
- @if test -n "`LANG=C $(LDD) $(bindir)/wine|grep not.found`"; \
- then \
-@@ -98,6 +99,7 @@
- echo "*************************************************" ; \
- echo "*************************************************" ; \
- fi
-+endif
-
- uninstall:: $(INSTALLBOTHSUBDIRS:%=%/__uninstall__)
- $(RM) $(datadir)/aclocal/wine.m4
diff --git a/app-emulation/wine/files/wine-20050930-no-x.patch b/app-emulation/wine/files/wine-20050930-no-x.patch
deleted file mode 100644
index 8f9db9998134..000000000000
--- a/app-emulation/wine/files/wine-20050930-no-x.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-Make sure we only depend on ddraw_test if X support is enabled
-
-http://bugs.gentoo.org/107870 (among others)
-http://bugs.winehq.org/show_bug.cgi?id=3480
-
---- wine/programs/winetest/Makefile.in
-+++ wine/programs/winetest/Makefile.in
-@@ -18,12 +18,13 @@
- RC_BINSRC = winetest.rc
- RC_BINARIES = wine.ico
-
-+XFILES = ddraw_test.exe$(DLLEXT)
- TESTBINS = \
-+ @XFILES@ \
- advpack_test.exe$(DLLEXT) \
- advapi32_test.exe$(DLLEXT) \
- comctl32_test.exe$(DLLEXT) \
- crypt32_test.exe$(DLLEXT) \
-- ddraw_test.exe$(DLLEXT) \
- dinput_test.exe$(DLLEXT) \
- dsound_test.exe$(DLLEXT) \
- gdi32_test.exe$(DLLEXT) \
diff --git a/app-emulation/wine/files/wine-cvs-winelauncher-temp.patch b/app-emulation/wine/files/wine-cvs-winelauncher-temp.patch
deleted file mode 100644
index 74e9b7fa6683..000000000000
--- a/app-emulation/wine/files/wine-cvs-winelauncher-temp.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-http://bugs.gentoo.org/101773
-
-===================================================================
-RCS file: /home/wine/wine/programs/winelauncher.in,v
-retrieving revision 1.4
-retrieving revision 1.5
-diff -u -p -r1.4 -r1.5
---- wine/programs/winelauncher.in 2004/06/21 23:56:15 1.4
-+++ wine/programs/winelauncher.in 2005/08/10 10:51:50 1.5
-@@ -59,8 +59,8 @@ type xmessage >/dev/null 2>/dev/null
- if [ $? -ne 0 ] ; then
- # xmessage not found; make sure the user notices this error
- # (GUI users wouldn't even notice if we printed the text on console !)
-- MSGFILE=/tmp/WINE_CANNOT_FIND_XMESSAGE
-- cat > $MSGFILE << EOF
-+ MSGFILE=`mktemp "/tmp/wine.xmessage.XXXXXX"`
-+ cat > $MSGFILE <<EOF
- Warning:
- The Wine launcher is unable to find the xmessage program,
- which it needs to properly notify you of Wine execution status
-@@ -87,6 +87,7 @@ EOF
-
- # ok, we really give up now, this system is hosed ;-)
- cat $MSGFILE
-+ rm $MSGFILE
- else
- XMESSAGE="xmessage $COLOR"
- fi
diff --git a/app-emulation/wine/files/wine-hangfix-bug2660.patch b/app-emulation/wine/files/wine-hangfix-bug2660.patch
deleted file mode 100644
index dab01e2acba7..000000000000
--- a/app-emulation/wine/files/wine-hangfix-bug2660.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Index: dlls/user/painting.c
-===================================================================
-RCS file: /home/wine/wine/dlls/user/painting.c,v
-retrieving revision 1.29
-diff -u -r1.29 painting.c
---- dlls/user/painting.c 13 May 2005 14:03:06 -0000 1.29
-+++ dlls/user/painting.c 21 May 2005 06:54:26 -0000
-@@ -345,6 +345,7 @@
- send_erase( child, erase_flags, hrgn, NULL, NULL );
-
- prev = 0;
-+ break;
- }
- else
- {
-
diff --git a/app-emulation/wine/files/wine-no-ssp.patch b/app-emulation/wine/files/wine-no-ssp.patch
deleted file mode 100644
index f75cfb701914..000000000000
--- a/app-emulation/wine/files/wine-no-ssp.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-Index: loader/preloader.c
-===================================================================
-RCS file: /home/wine/wine/loader/preloader.c,v
-retrieving revision 1.18
-retrieving revision 1.19
-diff -u -p -r1.18 -r1.19
---- loader/preloader.c 14 Dec 2005 11:26:30 -0000 1.18
-+++ loader/preloader.c 26 Jan 2006 12:45:33 -0000 1.19
-@@ -155,6 +155,11 @@ struct wld_link_map {
- */
- void __bb_init_func() { return; }
-
-+/* similar to the above but for -fstack-protector */
-+void *__stack_chk_guard = 0;
-+void *__guard = 0;
-+void __stack_chk_fail(void) { return; }
-+void __stack_smash_handler(void) { return; }
-
- /*
- * The _start function is the entry and exit point of this program
diff --git a/app-emulation/wine/files/wine-stub-RtlSetTimeZoneInformation.patch b/app-emulation/wine/files/wine-stub-RtlSetTimeZoneInformation.patch
deleted file mode 100644
index e776aa140ef7..000000000000
--- a/app-emulation/wine/files/wine-stub-RtlSetTimeZoneInformation.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-http://bugs.gentoo.org/162438
-
---- wine/dlls/ntdll/time.c
-+++ wine/dlls/ntdll/time.c
-@@ -1059,7 +1059,7 @@
- */
- NTSTATUS WINAPI RtlSetTimeZoneInformation( const RTL_TIME_ZONE_INFORMATION *tzinfo )
- {
--#ifdef HAVE_SETTIMEOFDAY
-+#if 0 /* settimeofday(NULL) always returns -1: Bug 162438 */
- struct timezone tz;
-
- tz.tz_minuteswest = tzinfo->Bias;
diff --git a/app-emulation/wine/files/wine-wmf.patch b/app-emulation/wine/files/wine-wmf.patch
deleted file mode 100644
index 3a993e24f4c7..000000000000
--- a/app-emulation/wine/files/wine-wmf.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Upstream fix for WMF security issues.
-http://bugs.gentoo.org/118101
-
-===================================================================
-RCS file: /home/wine/wine/dlls/gdi/metafile.c,v
-retrieving revision 1.11
-retrieving revision 1.12
-diff -u -p -r1.11 -r1.12
---- wine/dlls/gdi/metafile.c 2006/01/03 12:43:52 1.11
-+++ wine/dlls/gdi/metafile.c 2006/01/06 20:52:46 1.12
-@@ -863,6 +863,13 @@ BOOL WINAPI PlayMetaFileRecord( HDC hdc,
- break;
-
- case META_ESCAPE:
-+ switch (mr->rdParm[0]) {
-+ case GETSCALINGFACTOR: /* get function ... would just NULL dereference */
-+ return FALSE;
-+ case SETABORTPROC:
-+ FIXME("Filtering Escape(SETABORTPROC), possible virus?\n");
-+ return FALSE;
-+ }
- Escape(hdc, mr->rdParm[0], mr->rdParm[1], (LPCSTR)&mr->rdParm[2], NULL);
- break;
-
diff --git a/app-emulation/wine/wine-0.9.40.ebuild b/app-emulation/wine/wine-0.9.40.ebuild
deleted file mode 100644
index cce47a2f1cf0..000000000000
--- a/app-emulation/wine/wine-0.9.40.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.40.ebuild,v 1.7 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.41.ebuild b/app-emulation/wine/wine-0.9.41.ebuild
deleted file mode 100644
index fba0a12d0f7e..000000000000
--- a/app-emulation/wine/wine-0.9.41.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.41.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.42.ebuild b/app-emulation/wine/wine-0.9.42.ebuild
deleted file mode 100644
index 95d40a26cbe5..000000000000
--- a/app-emulation/wine/wine-0.9.42.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.42.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.43.ebuild b/app-emulation/wine/wine-0.9.43.ebuild
deleted file mode 100644
index 4a0c415caebb..000000000000
--- a/app-emulation/wine/wine-0.9.43.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.43.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.44.ebuild b/app-emulation/wine/wine-0.9.44.ebuild
deleted file mode 100644
index 13f35af0e611..000000000000
--- a/app-emulation/wine/wine-0.9.44.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.44.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.45.ebuild b/app-emulation/wine/wine-0.9.45.ebuild
deleted file mode 100644
index c3cda31912fb..000000000000
--- a/app-emulation/wine/wine-0.9.45.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.45.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.46.ebuild b/app-emulation/wine/wine-0.9.46.ebuild
deleted file mode 100644
index 2aaa28e5dea4..000000000000
--- a/app-emulation/wine/wine-0.9.46.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.46.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.47.ebuild b/app-emulation/wine/wine-0.9.47.ebuild
deleted file mode 100644
index 9786f79d69c0..000000000000
--- a/app-emulation/wine/wine-0.9.47.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.47.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.48.ebuild b/app-emulation/wine/wine-0.9.48.ebuild
deleted file mode 100644
index a288953ea8f8..000000000000
--- a/app-emulation/wine/wine-0.9.48.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.48.ebuild,v 1.4 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}
diff --git a/app-emulation/wine/wine-0.9.49.ebuild b/app-emulation/wine/wine-0.9.49.ebuild
deleted file mode 100644
index 9fe2fd535a8c..000000000000
--- a/app-emulation/wine/wine-0.9.49.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-0.9.49.ebuild,v 1.5 2008/03/27 18:22:16 vapier Exp $
-
-inherit eutils flag-o-matic multilib
-
-DESCRIPTION="free implementation of Windows(tm) on Unix"
-HOMEPAGE="http://www.winehq.org/"
-SRC_URI="mirror://sourceforge/${PN}/wine-${PV}.tar.bz2"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="-* amd64 x86 ~x86-fbsd"
-IUSE="alsa cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
-RESTRICT="test" #72375
-
-RDEPEND=">=media-libs/freetype-2.0.0
- media-fonts/corefonts
- ncurses? ( >=sys-libs/ncurses-5.2 )
- jack? ( media-sound/jack-audio-connection-kit )
- dbus? ( sys-apps/dbus )
- hal? ( sys-apps/hal )
- X? (
- x11-libs/libXcursor
- x11-libs/libXrandr
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- x11-apps/xmessage
- )
- alsa? ( media-libs/alsa-lib )
- esd? ( media-sound/esound )
- nas? ( media-libs/nas )
- cups? ( net-print/cups )
- opengl? ( virtual/opengl )
- jpeg? ( media-libs/jpeg )
- ldap? ( net-nds/openldap )
- lcms? ( media-libs/lcms )
- xml? ( dev-libs/libxml2 dev-libs/libxslt )
- scanner? ( media-gfx/sane-backends )
- amd64? (
- >=app-emulation/emul-linux-x86-xlibs-2.1
- >=app-emulation/emul-linux-x86-soundlibs-2.1
- >=sys-kernel/linux-headers-2.6
- )"
-DEPEND="${RDEPEND}
- >=media-gfx/fontforge-20060703
- X? (
- x11-proto/inputproto
- x11-proto/xextproto
- x11-proto/xf86vidmodeproto
- )
- sys-devel/bison
- sys-devel/flex"
-
-pkg_setup() {
- use alsa || return 0
- if ! built_with_use --missing true media-libs/alsa-lib midi ; then
- eerror "You must build media-libs/alsa-lib with USE=midi"
- die "please re-emerge media-libs/alsa-lib with USE=midi"
- fi
-}
-
-src_unpack() {
- unpack wine-${PV}.tar.bz2
- cd "${S}"
-
- sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
- epatch "${FILESDIR}"/wine-gentoo-no-ssp.patch #66002
- sed -i '/^MimeType/d' tools/wine.desktop || die #117785
-}
-
-config_cache() {
- local h ans="no"
- use $1 && ans="yes"
- shift
- for h in "$@" ; do
- [[ ${h} == *.h ]] \
- && h=header_${h} \
- || h=lib_${h}
- export ac_cv_${h//[:\/.]/_}=${ans}
- done
-}
-
-src_compile() {
- export LDCONFIG=/bin/true
- use esd || export ac_cv_path_ESDCONFIG=""
- use scanner || export ac_cv_path_sane_devel="no"
- config_cache jack jack/jack.h
- config_cache cups cups/cups.h
- config_cache alsa alsa/asoundlib.h sys/asoundlib.h asound:snd_pcm_open
- config_cache nas audio/audiolib.h audio/soundlib.h
- config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
- config_cache ldap ldap.h lber.h
- config_cache dbus dbus/dbus.h
- config_cache hal hal/libhal.h
- config_cache jpeg jpeglib.h
- config_cache oss sys/soundcard.h machine/soundcard.h soundcard.h
- config_cache lcms lcms.h
-
- strip-flags
-
- use amd64 && multilib_toolchain_setup x86
-
- # $(use_enable amd64 win64)
- econf \
- --sysconfdir=/etc/wine \
- $(use_with ncurses curses) \
- $(use_with opengl) \
- $(use_with X x) \
- || die "configure failed"
-
- emake -j1 depend || die "depend"
- emake all || die "all"
-}
-
-src_install() {
- make DESTDIR="${D}" install || die
- dodoc ANNOUNCE AUTHORS ChangeLog README
-}
-
-pkg_postinst() {
- elog "~/.wine/config is now deprecated. For configuration either use"
- elog "winecfg or regedit HKCU\\Software\\Wine"
-}